#
# spec file for package rgb
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rgb
Version:        1.1.0
Release:        1.8
Summary:        X color name database
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
This package includes both the list mapping X color names to RGB values
(rgb.txt) and, if configured to use a database for color lookup, the
rgb program to convert the text file into the binary database format.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/showrgb
%dir %{_datadir}/X11
%{_datadir}/X11/rgb.txt
%{_mandir}/man1/showrgb.1%{?ext_man}

%changelog
* Sat Oct 29 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.0
  * This release adds a new configure option --with-rgb-db-library to allow
    builders more control over which dbm or ndbm compatible library is used
    if --with-rgb-db-type is set to one of the non-default database options
    instead of the default of "text".  The --with-rgb-db-library option can
    allow use of libraries that are not normally searched for (gdbm_compat)
    or to bypass libraries we do normally search for (like Berkeley db).
* Sun May 16 2021 Dirk Müller <dmueller@suse.com>
- modernize spec-file (move license to licensedir)
* Mon Nov 17 2014 sndirsch@suse.com
- Update to version 1.0.6
  * This release includes contributions by Daphne Pfister to
    resynchronize the X11 color name list with the CSS color
    name list that has forked from ours, and also includes a
    couple minor improements to the showrgb program and to the
    build configuration.
* Sun Jan 20 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Replace unbounded strcpy/strcat pairs with snprintf calls.
  + Add const attributes to fix gcc -Wwrite-strings warnings.
  + man: replace hard coded section number (1) and (3) with
    variables.
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Remove unrequired AC_SUBST([*_CFLAGS]).
* Fri Apr 13 2012 vuntz@opensuse.org
- Split rgb from xorg-x11. Initial version: 1.0.4.
